> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whatabot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Card

> Create a new card in a pipeline.

Creates a new card in a specific stage of the pipeline.

<ParamField header="X-Api-Key" type="string" required>
  Your API key (prefixed with `wh_`).
</ParamField>

<ParamField path="pipelineId" type="string" required>
  Pipeline UUID.
</ParamField>

### Body

<ParamField body="stageId" type="string" required>
  UUID of the stage where the card will be created.
</ParamField>

<ParamField body="values" type="object">
  Card field values (key = field ID, value = data).
</ParamField>

<ParamField body="tags" type="string[]">
  List of tags for the card.
</ParamField>

### Payload examples

<Tabs>
  <Tab title="Basic card">
    ```json theme={null}
    {
      "stageId": "stage-uuid"
    }
    ```
  </Tab>

  <Tab title="Card with values">
    ```json theme={null}
    {
      "stageId": "stage-uuid",
      "values": {
        "name": "Jane Doe",
        "amount": 2500.00
      },
      "tags": ["enterprise", "hot"]
    }
    ```
  </Tab>
</Tabs>

<RequestExample>
  ```bash theme={null}
  curl -X POST "https://api.whatabot.app/api/v1/kanban/pipelines/pipeline-uuid/cards" \
    -H "X-Api-Key: wh_your_api_key" \
    -H "Content-Type: application/json" \
    -d '{"stageId": "stage-uuid", "values": {"name": "Jane Doe"}, "tags": ["hot"]}'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "id": "card-uuid",
    "pipelineId": "pipeline-uuid",
    "stageId": "stage-uuid",
    "sessionId": null,
    "tags": ["hot"],
    "values": {
      "name": "Jane Doe"
    },
    "createdAt": "2026-04-20T10:00:00.000Z",
    "movedAt": "2026-04-20T10:00:00.000Z"
  }
  ```
</ResponseExample>
